// Delay.h: interface for the CDelay class.
//
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@mindspring.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////

#if !defined(AFX_DELAY_H__9B89EF20_6008_11D4_B4E9_808C49C10ED8__INCLUDED_)
#define AFX_DELAY_H__9B89EF20_6008_11D4_B4E9_808C49C10ED8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <math.h>

class CDelay  
{
public:
	void CreateDelays( _complex* inbuf, _complex* t1buf, _complex* t2buf );
	void SetDelays( double t1, double t2);
	void CalcBPFilter(double* pIn, _complex* pOut);
	CDelay();
	virtual ~CDelay();

private:
	INT m_FirState;
	_complex* m_pDelayLine;
	_complex* m_pQue;
	INT m_T1ptr;
	INT m_T2ptr;
	INT m_Inptr;
};

#endif // !defined(AFX_DELAY_H__9B89EF20_6008_11D4_B4E9_808C49C10ED8__INCLUDED_)
