// NoiseGen.h: interface for the CNoiseGen class.
//
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@mindspring.com>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NOISEGEN_H__413CFE21_5A65_11D4_B4E9_C04650C10000__INCLUDED_)
#define AFX_NOISEGEN_H__413CFE21_5A65_11D4_B4E9_C04650C10000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "filtertables.h"

class CNoiseGen  
{
public:
	void InitNoiseGen();
	void AddBWLimitedNoise(INT bufsize,double* pIn, double siggain, double RMSlevel);
	CNoiseGen();
	virtual ~CNoiseGen();

private:
	double m_pQue[HILBPFIR_LENGTH];
	INT m_FirState;
};

#endif // !defined(AFX_NOISEGEN_H__413CFE21_5A65_11D4_B4E9_C04650C10000__INCLUDED_)
